posh_0.12.6_amd64.deb


Advertisement

Description

posh - Policy-compliant Ordinary SHell

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: posh
Package version: 0.12.6
Package release:
Package architecture: amd64
Package type: deb
Installed size: 182 B
Download size: 79.41 KB
Official Mirror: archive.ubuntu.com
posh is a stripped-down version of pdksh that aims for compliance with Debian's policy, and few extra features. WARNING: Since many of Debian's /bin/sh scripts are not actually policy-compliant, using posh as your /bin/sh may reveal breakage.

Alternatives

    Download

    Binary package: posh_0.12.6_amd64.deb
    Source package: posh

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install posh deb package:
      # sudo apt-get install posh

    Files

    • /bin/posh
    • /usr/share/doc/posh/changelog.gz
    • /usr/share/doc/posh/copyright
    • /usr/share/man/man1/posh.1.gz
    • /usr/share/menu/posh

    Changelog

    2016-02-14 - Clint Adams <clint@debian.org> posh (0.12.6) unstable; urgency=medium * tests/th: patch from Michał Górny to use modern perl getopts, thus obviating build dependency on libperl4-corelibs-perl. closes: #814688.

    2015-06-07 - Clint Adams <clint@debian.org> posh (0.12.5) unstable; urgency=medium * Patch from John Salmon to correct fencepost error in PWD initialization. closes: #777427. * Suppress linemarker generation when building signal table, as gcc 5 gets crazy. closes: #778069. * Blindly assume that signal handlers return void. * Switch to dh.

    2015-04-26 - Clint Adams <clint@debian.org> posh (0.12.4) unstable; urgency=medium * Correct misspelling of "--". closes: #774004. * Patch from Chris Lamb to make the build reproducible. closes: #777395. * Patch from John Salmon to use memmove instead of memcpy in debunk(). closes: #777493.

    2014-02-09 - Clint Adams <clint@debian.org> posh (0.12.3) unstable; urgency=medium * Ten patches from Jonathan Nieder to adjust test suite. closes: #603659.

    2014-02-09 - Clint Adams <clint@debian.org> posh (0.12.2.1) unstable; urgency=medium * Bump to Standards-Version 3.9.5. * Add libperl4-corelibs-perl build-dep for getopts.pl. closes: #738412.

    2013-07-28 - Clint Adams <clint@debian.org> posh (0.12.2) unstable; urgency=low * Add posh-dbg package. closes: #703343. * Disallow simple commands as function bodies. closes: #552730.

    2013-06-11 - Clint Adams <clint@debian.org> posh (0.12.1) unstable; urgency=low * Add missing compat header include, thanks to Makoto Fujiwara. closes: #712009.

    2013-05-12 - Clint Adams <clint@debian.org> posh (0.12) unstable; urgency=high * Fix shell flag handling, broken since 0.9.1. closes: #707778.

    2013-03-18 - Clint Adams <clint@debian.org> posh (0.11.1) unstable; urgency=low * Patch from Stefano Rivera to build with eglibc 2.16. closes: #692537. * Don't segfault when errorf(NULL) is called. closes: #703346, #690927. * Fix Vcs-Git header.

    2012-11-01 - Clint Adams <clint@debian.org> posh (0.11) unstable; urgency=low * Disable ~+ and ~- expansion. closes: #692003. * Tweak expand-1 test to ensure that ~+ and ~- aren't expanded. * Bump to Standards-Version 3.9.4.

    Advertisement
    Advertisement